#!/bin/sh

# copy the built library to $PLATFORM directory
# muquit@muquit.com Oct-15-2002 

libname="libldbm.a"
cp="/bin/cp"
ls="/bin/ls"

if [ x"$PLATFORM" = x ]; then
    echo "No environment var PLATFORM is set. will not copy the library"
    echo "to a platform specific directory"
fi

if [ ! -d $PLATFORM ]; then
    mkdir $PLATFORM
fi

if [ -f $libname ]; then
    echo ""
    echo "$cp -f $libname $PLATFORM"
    $cp -f $libname $PLATFORM
    echo "$ls -lt $PLATFORM"

    $ls -lt $PLATFORM
fi

