/*
**  test the ldbm library
**  the program is similar to the ones comes with gdbm source code. I only
**  called with generic function call.
**
** Does not work with Berkeley DB2, only works with 1.85
**  
**  Development History:
**      who                  when           why
**      ma_muquit@fccc.edu   Apr-18-1998    first cut
**      muquti@muquit.com    Dec-24-2000    in my vacation, modified to work
**                                          with Berkeyley db >= 2
*/

#include <stdio.h>
#include "ldbm.h"

#define TRUE    1
#define FALSE   0

typedef struct _T
{
    char
        server[128];

    int
        port;

    char 
        ip[32];
}Data;

int main (int argc,char **argv) 
{

    Data
        data;

    char
        cmd_ch;

    Datum
        key_data,
        data_data,
        return_data;

    char
        key_line[500],
        data_line[1000];

    LDBM
        dbp;

    LDBMCursor
        *dbch=NULL;

    char
        done=FALSE;

    char
        *file_name;

    memet(&data,0,sizeof(Data));

    if (argc > 2)
    {
        (void) fprintf(stderr,"Usage: %s <dbm file>\n",argv[0]);
        exit(1);
    }

    if (argc > 1)
    {
        file_name=argv[1];
    }
    else
        file_name="junkdbm";

    ldbm_datum_init(key_data);
    ldbm_datum_init(data_data);

    dbp=ldbm_open(file_name,LDBM_WRCREAT,00644,0);
    if (dbp == NULL)
    {
        perror(file_name);
        exit(1);
    }

   if (ldbm_store(dbp,key_data,data_data,LDBM_REPLACE) != 0)
   {
       (void) fprintf(stderr,"Could not save data\n");
       return(1);
   }

    key_data.dptr=key_line;
    key_data.dsize=strlen(key_line)+1;
    return_data=ldbm_fetch(dbp,key_data);
    if (return_data.dptr != NULL)
        (void) fprintf(stderr,"data is -> %s\n\n",
                       return_data.dptr);
    else
        (void) fprintf(stderr,"No item found.\n\n");

    ldbm_close(dbp);
    exit(0);
}


