#!/bin/sh
#
# muquit, Jul-30-1999
# $Author: Muquit $
# $Revision: 2 $
# $Date: 12/29/04 8:25p $
# 
#
pwd=`pwd`
me=`basename $0`
cp="/bin/cp -r -p"

if [ $# -lt 1 ]; then
    echo "Usage: $me <version>"
    echo "Example: $me 2.15"
    exit
fi
ver=$1
echo "Version: v$ver"

dir="mod_auth_ldap$ver"

if [ -d $dir ]; then
    echo "Directory \"$dir\" exists... exiting"
fi

files="
aclocal.m4
cache.fig
cache_group.fig
cache_group.pdf
cache_group.png
cache_group.ps
cache.pdf
cache.png
cache.ps
cert7.db
config.guess
configure
configure.in
env.sh
install-sh
inst_cacert.pl
key3.db
libs
Makefile
Makefile.in
Makefile.win
mktar.sh
mk_withldap
mk_withldap.in
mkzip.sh
mod_auth_ldap.c
README
README3.05.txt
run_configure.sh
"

tar_filename=$dir.tar

mkdir $dir

for i in `echo $files`
do
    c="$cp $i $dir"
    echo "$c"
    $c
done

echo ""
exit

pwd
echo "tarring directory $dir"
tar -cvzf $dir.tar.gz $dir
echo ""
/bin/ls -lt $dir.tar.gz
