#!/bin/sh
# make zip archive wit the dlls
# $Author: Muquit $
# $Date: 6/09/04 10:23p $



if [ $# -lt 1 ]; then
    echo "usage: `basename $0` version"
    echo "example: `basename $0` 2.14"
    exit
fi
dir="mod_auth_ldap$1win"
echo "Directory: $dir"

if [ -d $dir ]; then
    echo "Exiting.. directory: $dir exists"
    exit
fi

mkdir $dir

if [ ! -d $dir ]; then
    exit
fi

dll="mod_auth_ldap.dll"

c="cp mod_auth_ldap.dll  ./$dir"
echo $c
$c

c="cp modauthldap_apache2_dll/*.db $dir"
echo $c
$c

cd $dir
echo "For documentation, please visit the URL:
http://muquit.com/muquit/software/mod_auth_ldap/mod_auth_ldap_cache.html" > README

md5sum $dll > md5.txt
md5sum cert7.db >> md5.txt
md5sum key3.db >>md5.txt
cd ..

arc="./$dir.zip"
c="zip -r $arc $dir"
echo $c
$c
ls -lt $arc
