#!/bin/sh
#
# muquit@muquit.com Dec-23-2003 
# a helper script for configure
#apache_dir=/home/muquit/apache_i_2.0.49
#ldap_dir=/usr/local/iplanet
#bdb_dir=/usr/local/BerkeleyDB4.2.52
#apache_dir=/opt/muquit/apache_i_2.0.48

## apache_dir=/opt/muquit/apache_i_1.3.29
## ldap_dir=/opt/muquit/ldap
## bdb_dir=/opt/muquit/BerkeleyDB4.2.52
if [ $# -lt 3 ]; then
    echo "usage: `basename $0` <apace dir> <ldap dir> <1 or 2>
    example:
    usage: `basename $0` /usr/local/apache2 /usr/local/iplanet 2"
    exit
fi
apache_dir=$1
ldap_dir=$2
apache_ver=$3
if [ ."$apache_ver" != ."1" -a ."$apache_ver" != ."2" ]; then
    echo "usage: `basename $0` <1 or 2>"
    exit
fi

#ldap_dir=/usr/local/openldap
bdb_dir=/usr/local/BerkeleyDB4.2.52

/bin/rm -f config.cache
c="./configure --with-mem-cache --with-apache-dir=$apache_dir --with-ldap-dir=$ldap_dir --with-disk-cache-db=$bdb_dir --with-apxs --with-apache-ver=$apache_ver"
echo $c
sleep 2
$c
